<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<!-- This file is generated by util/keylist.sh. DO NOT EDIT. -->
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=us-ascii">
	<title> Key to action bindings </title>
<!--AUTO head begin-->
	<link rel="icon" href="resources/logo16.png">
<!--AUTO head end-->
</head>
<body>
<h1> Key to action bindings </h1>
<table border=1 cellspacing=0>
<tr><th> key <th>pcb-menu-default.lht
<tr bgcolor="#DDFFFF">
	<th align=left>+
	<td> <I>Zoom In 20%</I><br>Zoom(-1.2) 
<tr bgcolor="#FFFFFF">
	<th align=left>,
	<td> <I>Cycle object being dragged</I><br>CycleDrag() 
<tr bgcolor="#DDFFFF">
	<th align=left>-
	<td> <I>Zoom Out 20%</I><br>Zoom(+1.2) 
<tr bgcolor="#FFFFFF">
	<th align=left>.
	<td> <I>'All-direction' lines</I><br>conf(toggle, editor/all_direction_lines, design)
<tr bgcolor="#DDFFFF">
	<th align=left>0
	<td> <I>Select Layer 10</I><br>SelectLayer(10) 
<tr bgcolor="#FFFFFF">
	<th align=left>0-alt
	<td> <I>Select Layer 20</I><br>SelectLayer(20) 
<tr bgcolor="#DDFFFF">
	<th align=left>0-alt-ctrl
	<td> <I>Toggle Layer 20</I><br>ToggleView(20) 
<tr bgcolor="#FFFFFF">
	<th align=left>0-ctrl
	<td> <I>Toggle Layer 10</I><br>ToggleView(10) 
<tr bgcolor="#DDFFFF">
	<th align=left>1
	<td> <I>Select Layer 1</I><br>SelectLayer(1) 
<tr bgcolor="#FFFFFF">
	<th align=left>1-alt
	<td> <I>Select Layer 11</I><br>SelectLayer(11) 
<tr bgcolor="#DDFFFF">
	<th align=left>1-alt-ctrl
	<td> <I>Toggle Layer 11</I><br>ToggleView(11) 
<tr bgcolor="#FFFFFF">
	<th align=left>1-ctrl
	<td> <I>Toggle Layer 1</I><br>ToggleView(1) 
<tr bgcolor="#DDFFFF">
	<th align=left>2
	<td> <I>Select Layer 2</I><br>SelectLayer(2) 
<tr bgcolor="#FFFFFF">
	<th align=left>2-alt
	<td> <I>Select Layer 12</I><br>SelectLayer(12) 
<tr bgcolor="#DDFFFF">
	<th align=left>2-alt-ctrl
	<td> <I>Toggle Layer 12</I><br>ToggleView(12) 
<tr bgcolor="#FFFFFF">
	<th align=left>2-ctrl
	<td> <I>Toggle Layer 2</I><br>ToggleView(2) 
<tr bgcolor="#DDFFFF">
	<th align=left>3
	<td> <I>Select Layer 3</I><br>SelectLayer(3) 
<tr bgcolor="#FFFFFF">
	<th align=left>3-alt
	<td> <I>Select Layer 13</I><br>SelectLayer(13) 
<tr bgcolor="#DDFFFF">
	<th align=left>3-alt-ctrl
	<td> <I>Toggle Layer 13</I><br>ToggleView(13) 
<tr bgcolor="#FFFFFF">
	<th align=left>3-ctrl
	<td> <I>Toggle Layer 3</I><br>ToggleView(3) 
<tr bgcolor="#DDFFFF">
	<th align=left>4
	<td> <I>Select Layer 4</I><br>SelectLayer(4) 
<tr bgcolor="#FFFFFF">
	<th align=left>4-alt
	<td> <I>Select Layer 14</I><br>SelectLayer(14) 
<tr bgcolor="#DDFFFF">
	<th align=left>4-alt-ctrl
	<td> <I>Toggle Layer 14</I><br>ToggleView(14) 
<tr bgcolor="#FFFFFF">
	<th align=left>4-ctrl
	<td> <I>Toggle Layer 4</I><br>ToggleView(4) 
<tr bgcolor="#DDFFFF">
	<th align=left>5
	<td> <I>Select Layer 5</I><br>SelectLayer(5) 
<tr bgcolor="#FFFFFF">
	<th align=left>5-alt
	<td> <I>Select Layer 15</I><br>SelectLayer(15) 
<tr bgcolor="#DDFFFF">
	<th align=left>5-alt-ctrl
	<td> <I>Toggle Layer 15</I><br>ToggleView(15) 
<tr bgcolor="#FFFFFF">
	<th align=left>5-ctrl
	<td> <I>Toggle Layer 5</I><br>ToggleView(5) 
<tr bgcolor="#DDFFFF">
	<th align=left>6
	<td> <I>Select Layer 6</I><br>SelectLayer(6) 
<tr bgcolor="#FFFFFF">
	<th align=left>6-alt
	<td> <I>Select Layer 16</I><br>SelectLayer(16) 
<tr bgcolor="#DDFFFF">
	<th align=left>6-alt-ctrl
	<td> <I>Toggle Layer 16</I><br>ToggleView(16) 
<tr bgcolor="#FFFFFF">
	<th align=left>6-ctrl
	<td> <I>Toggle Layer 6</I><br>ToggleView(6) 
<tr bgcolor="#DDFFFF">
	<th align=left>7
	<td> <I>Select Layer 7</I><br>SelectLayer(7) 
<tr bgcolor="#FFFFFF">
	<th align=left>7-alt
	<td> <I>Select Layer 17</I><br>SelectLayer(17) 
<tr bgcolor="#DDFFFF">
	<th align=left>7-alt-ctrl
	<td> <I>Toggle Layer 17</I><br>ToggleView(17) 
<tr bgcolor="#FFFFFF">
	<th align=left>7-ctrl
	<td> <I>Toggle Layer 7</I><br>ToggleView(7) 
<tr bgcolor="#DDFFFF">
	<th align=left>8
	<td> <I>Select Layer 8</I><br>SelectLayer(8) 
<tr bgcolor="#FFFFFF">
	<th align=left>8-alt
	<td> <I>Select Layer 18</I><br>SelectLayer(18) 
<tr bgcolor="#DDFFFF">
	<th align=left>8-alt-ctrl
	<td> <I>Toggle Layer 18</I><br>ToggleView(18) 
<tr bgcolor="#FFFFFF">
	<th align=left>8-ctrl
	<td> <I>Toggle Layer 8</I><br>ToggleView(8) 
<tr bgcolor="#DDFFFF">
	<th align=left>9
	<td> <I>Select Layer 9</I><br>SelectLayer(9) 
<tr bgcolor="#FFFFFF">
	<th align=left>9-alt
	<td> <I>Select Layer 19</I><br>SelectLayer(19) 
<tr bgcolor="#DDFFFF">
	<th align=left>9-alt-ctrl
	<td> <I>Toggle Layer 19</I><br>ToggleView(19) 
<tr bgcolor="#FFFFFF">
	<th align=left>9-ctrl
	<td> <I>Toggle Layer 9</I><br>ToggleView(9) 
<tr bgcolor="#DDFFFF">
	<th align=left>:
	<td> <I>Command Entry</I><br>Command() 
<tr bgcolor="#FFFFFF">
	<th align=left>[
	<td> <I>Previous grid</I><br>Grid(down) 
<tr bgcolor="#DDFFFF">
	<th align=left>\
	<td> <I>Full screen</I><br>fullscreen(toggle) 
<tr bgcolor="#FFFFFF">
	<th align=left>/
	<td> <I>Cycle line clip/refraction</I><br>Display(CycleClip) 
<tr bgcolor="#DDFFFF">
	<th align=left>]
	<td> <I>Next grid</I><br>Grid(up) 
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;a
	<td> <I>Start routing an arc</I><br>Tool(Save); Tool(arc); Tool(Press)
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;b<br>&nbsp;&nbsp;f<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Replace footprint</I><br>ReplaceFootprint() 
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;b<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Swap nets on two selected pins</I><br>net(swap) 
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;b<br>&nbsp;&nbsp;x
	<td> <I>netlist patch for back annotation</I><br>SavePatch() 
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;d<br>&nbsp;&nbsp;a<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Disperse all subcircuits</I><br>DisperseElements(All) 
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;d<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Disperse selected subcircuits</I><br>DisperseElements(Selected) 
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;l
	<td> <I>Start routing a line</I><br>Tool(Save); Tool(line); Tool(Press)
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;m
	<td> <I>Place mark</I><br>MarkCrosshair() 
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;a<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Auto-Optimize</I><br>djopt(auto) 
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;d<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Debumpify</I><br>djopt(debumpify) 
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;m<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Miter</I><br>djopt(miter) 
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;n<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Vianudge</I><br>djopt(vianudge) 
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;o<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Ortho pull</I><br>djopt(orthopull) 
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;p<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Puller</I><br>Puller() 
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Simple optimization</I><br>djopt(simple) 
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;t<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Viatrim</I><br>djopt(viatrim) 
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;o<br>&nbsp;&nbsp;u<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Unjaggy</I><br>djopt(unjaggy) 
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;p<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Auto-place selected subcircuits</I><br>AutoPlaceSelected() 
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;r<br>&nbsp;&nbsp;a<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Auto-route all rats</I><br>AutoRoute(AllRats) 
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;r<br>&nbsp;&nbsp;r<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Rip up all auto-routed tracks</I><br>RipUp(All) 
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;r<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Auto-route selected rats</I><br>AutoRoute(SelectedRats) 
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;r<br>&nbsp;&nbsp;t<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Rip up selected auto-routed tracks</I><br>RipUp(Selected) 
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;v
	<td> <I>Place via</I><br>Tool(Save); Tool(via); Tool(Press); Tool(Restore)
<tr bgcolor="#DDFFFF">
	<th align=left>a<br>&nbsp;w
	<td> <I>Place mark</I><br>MarkCrosshair() 
<tr bgcolor="#FFFFFF">
	<th align=left>a<br>&nbsp;x<br>&nbsp;&nbsp;
	<td> <I>Design Rule Checker</I><br>DRC() 
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;1<br>&nbsp;&nbsp;
	<td> <I>Select Buffer #1</I><br>PasteBuffer(1)
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;2<br>&nbsp;&nbsp;
	<td> <I>Select Buffer #2</I><br>PasteBuffer(2)
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;3<br>&nbsp;&nbsp;
	<td> <I>Select Buffer #3</I><br>PasteBuffer(3)
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;4<br>&nbsp;&nbsp;
	<td> <I>Select Buffer #4</I><br>PasteBuffer(4)
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;5<br>&nbsp;&nbsp;
	<td> <I>Select scratchpad</I><br>PasteBuffer(5)
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;b<br>&nbsp;&nbsp;
	<td> <I>Layer bindings...</I><br>LayerBinding(buffer) 
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;c<br>&nbsp;&nbsp;c<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Clear buffer</I><br>PasteBuffer(Clear) 
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;c<br>&nbsp;&nbsp;e
	<td> <I>Convert buffer to extended object...</I><br>ExtobjConvFrom(buffer, @gui); Tool(buffer)
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;c<br>&nbsp;&nbsp;p
	<td> <I>Convert buffer to padstack</I><br>PadstackConvert(buffer); Tool(buffer)
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;c<br>&nbsp;&nbsp;s
	<td> <I>Convert buffer to subcircuit</I><br>PasteBuffer(ConvertSubc) 
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;f<br>&nbsp;&nbsp;l<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Load buffer content from file</I><br>PasteBuffer(LoadAll) 
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;f<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Save buffer content to file</I><br>PasteBuffer(SaveAll) 
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;m<br>&nbsp;&nbsp;l
	<td> <I>Mirror buffer (left/right)</I><br>Tool(buffer); PasteBuffer(Rotate,1); PasteBuffer(Mirror); PasteBuffer(Rotate,3)
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;m<br>&nbsp;&nbsp;u
	<td> <I>Mirror buffer (up/down)</I><br>Tool(buffer); PasteBuffer(Mirror)
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;n
	<td> <I>Normalize</I><br>Tool(buffer); PasteBuffer(Rotate,1); PasteBuffer(Normalize)
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;r<br>&nbsp;&nbsp;a
	<td> <I>Arbitrarily Rotate Buffer</I><br>Tool(buffer); FreeRotateBuffer()
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;r<br>&nbsp;&nbsp;l
	<td> <I>Rotate buffer 90 deg CCW (left)</I><br>Tool(buffer); PasteBuffer(Rotate,1)
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;r<br>&nbsp;&nbsp;r
	<td> <I>Rotate buffer 90 deg CW (right)</I><br>Tool(buffer); PasteBuffer(Rotate,3)
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;s<br>&nbsp;&nbsp;b
	<td> <I>Break buffer subcircuits to pieces</I><br>PasteBuffer(Restore) 
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;s<br>&nbsp;&nbsp;l<br>&nbsp;&nbsp;&nbsp;d
	<td> <I>in multiple footprint files</I><br>SaveLib(dir, buffer)
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;s<br>&nbsp;&nbsp;l<br>&nbsp;&nbsp;&nbsp;f
	<td> <I>in a single lib file</I><br>SaveLib(file, buffer)
<tr bgcolor="#FFFFFF">
	<th align=left>b<br>&nbsp;s<br>&nbsp;&nbsp;p
	<td> <I>Break buffer padstacks to pieces</I><br>PadstackBreakup(buffer) 
<tr bgcolor="#DDFFFF">
	<th align=left>b<br>&nbsp;s<br>&nbsp;&nbsp;s
	<td> <I>Save buffer subcircuit to file</I><br>Save(PasteBuffer)
<tr bgcolor="#FFFFFF">
	<th align=left>c-ctrl<br>&nbsp;
	<td> <I>Copy selection to buffer</I><br>GetXY(Click to set the snap point for this buffer); PasteBuffer(Clear); PasteBuffer(AddSelected); Unselect(All); Tool(buffer)
<tr bgcolor="#DDFFFF">
	<th align=left>c<br>&nbsp;c<br>&nbsp;&nbsp;
	<td> <I>Clear/reset lookup</I><br>Connection(Reset); Display(Redraw)
<tr bgcolor="#FFFFFF">
	<th align=left>c<br>&nbsp;d<br>&nbsp;&nbsp;
	<td> <I>Del/Remove Connected</I><br>Atomic(Save); Connection(Reset); Atomic(Restore); Unselect(All); Atomic(Restore); Connection(Find); Atomic(Restore); Select(Connection); Atomic(Restore); RemoveSelected(); Atomic(Restore); Connection(Reset); Atomic(Restore); Unselect(All); Atomic(Block)
<tr bgcolor="#DDFFFF">
	<th align=left>c<br>&nbsp;e<br>&nbsp;&nbsp;
	<td> <I>Erase rats nest</I><br>DeleteRats(AllRats) 
<tr bgcolor="#FFFFFF">
	<th align=left>c<br>&nbsp;f<br>&nbsp;&nbsp;
	<td> <I>Find Connections</I><br>Connection(Reset); Connection(Find)
<tr bgcolor="#DDFFFF">
	<th align=left>c<br>&nbsp;r-shift<br>&nbsp;&nbsp;
	<td> <I>Optimize rats nest - autorouter</I><br>Atomic(Save); DeleteRats(AllRats); Atomic(Restore); AddRats(AllRats, manhattan); Atomic(Close)
<tr bgcolor="#FFFFFF">
	<th align=left>c<br>&nbsp;r<br>&nbsp;&nbsp;
	<td> <I>Optimize rats nest</I><br>Atomic(Save); DeleteRats(AllRats); Atomic(Restore); AddRats(AllRats); Atomic(Close)
<tr bgcolor="#DDFFFF">
	<th align=left>c<br>&nbsp;s<br>&nbsp;&nbsp;
	<td> <I>Select shortest rat</I><br>AddRats(Close) 
<tr bgcolor="#FFFFFF">
	<th align=left>delete
	<td> <I>Remove object</I><br>Tool(Save); Tool(remove); Tool(Press); Tool(Restore)
<tr bgcolor="#DDFFFF">
	<th align=left>down
	<td> <I>Step Down</I><br>Cursor(Warp,0,1,grid) 
<tr bgcolor="#FFFFFF">
	<th align=left>down-ctrl
	<td> <I>Scroll Down</I><br>Scroll(down) 
<tr bgcolor="#DDFFFF">
	<th align=left>down-shift
	<td> <I>Step +Down</I><br>Cursor(Pan,0,50,view) 
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;c
	<td> <I>Copy selection to buffer</I><br>GetXY(Click to set the snap point for this buffer); PasteBuffer(Clear); PasteBuffer(AddSelected); Unselect(All); Tool(buffer)
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;d
	<td> <I>Remove object</I><br>Tool(Save); Tool(remove); Tool(Press); Tool(Restore)
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;f
	<td> <I>Object flags...</I><br>FlagEdit() 
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;g<br>&nbsp;&nbsp;c
	<td> <I>Clearance +2 mil</I><br>ChangeClearSize(Object,+2,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;g<br>&nbsp;&nbsp;c-shift
	<td> <I>Clearance -2 mil</I><br>ChangeClearSize(Object,-2,mil) 
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;g<br>&nbsp;&nbsp;d
	<td> <I>ChangeDrill +5 mil</I><br>ChangeDrillSize(Object,+5,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;g<br>&nbsp;&nbsp;d-shift
	<td> <I>ChangeDrill -5 mil</I><br>ChangeDrillSize(Object,-5,mil) 
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;g<br>&nbsp;&nbsp;s
	<td> <I>ChangeSize +5 mil</I><br>ChangeSize(Object,+5,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;g<br>&nbsp;&nbsp;s-shift
	<td> <I>ChangeSize -5 mil</I><br>ChangeSize(Object,-5,mil) 
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;g<br>&nbsp;&nbsp;y
	<td> <I>ChangeSizes to Route style</I><br>ChangeSizes(Object,style,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;i
	<td> <I>Flip Object</I><br>Flip(Object) 
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;j
	<td> <I>ChangeJoin Object</I><br>ChangeJoin(Object) 
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;l
	<td> <I>Move to current layer</I><br>MoveToCurrentLayer(Object) 
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;o
	<td> <I>Change font...</I><br>FontSel(Object) 
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;p
	<td> <I>Object Properties...</I><br>PropEdit(selection) 
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;r
	<td> <I>Change refdes</I><br>ChangeName(Refdes) 
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;s<br>&nbsp;&nbsp;b
	<td> <I>Layer bindings...</I><br>LayerBinding() 
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;s<br>&nbsp;&nbsp;e
	<td> <I>External editor...</I><br>GetXY(Click on the subcircuit to edit); extedit(object)
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;s<br>&nbsp;&nbsp;r
	<td> <I>Refdes</I><br>ChangeName(Subc) 
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;s<br>&nbsp;&nbsp;s
	<td> <I>Set Same Style</I><br>SetSame() 
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;s<br>&nbsp;&nbsp;x
	<td> <I>Convert to extended object...</I><br>ExtobjConvFrom(Object, @gui) 
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;t
	<td> <I>Edit text...</I><br>ChangeName(Object) 
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;v
	<td> <I>Paste buffer to layout</I><br>Tool(buffer) 
<tr bgcolor="#DDFFFF">
	<th align=left>e<br>&nbsp;x
	<td> <I>Cut selection to buffer</I><br>GetXY(Click to set the snap point for this buffer); PasteBuffer(Clear); PasteBuffer(MoveSelected); Tool(buffer)
<tr bgcolor="#FFFFFF">
	<th align=left>e<br>&nbsp;y<br>&nbsp;&nbsp;
	<td> <I>Cycle object being dragged</I><br>CycleDrag() 
<tr bgcolor="#DDFFFF">
	<th align=left>enter
	<td> <I>Click (left)</I><br>Tool(Press); Tool(Release)
<tr bgcolor="#FFFFFF">
	<th align=left>escape
	<td> <I>Cancel</I><br>Tool(Escape) 
<tr bgcolor="#DDFFFF">
	<th align=left>f1
	<td> <I>Via</I><br>Tool(via)
<tr bgcolor="#FFFFFF">
	<th align=left>f10
	<td> <I>Thermal</I><br>Tool(thermal)
<tr bgcolor="#DDFFFF">
	<th align=left>f11
	<td> <I>Arrow</I><br>Tool(arrow)
<tr bgcolor="#FFFFFF">
	<th align=left>f12
	<td> <I>Lock</I><br>Tool(lock)
<tr bgcolor="#DDFFFF">
	<th align=left>f2
	<td> <I>Line</I><br>Tool(line)
<tr bgcolor="#FFFFFF">
	<th align=left>f3
	<td> <I>Arc</I><br>Tool(arc)
<tr bgcolor="#DDFFFF">
	<th align=left>f4
	<td> <I>Text</I><br>Tool(text)
<tr bgcolor="#FFFFFF">
	<th align=left>f5
	<td> <I>Rectangle</I><br>Tool(rectangle)
<tr bgcolor="#DDFFFF">
	<th align=left>f6
	<td> <I>Polygon</I><br>Tool(poly)
<tr bgcolor="#FFFFFF">
	<th align=left>f7
	<td> <I>Buffer</I><br>Tool(buffer)
<tr bgcolor="#DDFFFF">
	<th align=left>f7-shift
	<td> <I>Rotate buffer 90 deg CCW (left)</I><br>Tool(buffer); PasteBuffer(Rotate,1)
<tr bgcolor="#FFFFFF">
	<th align=left>f8
	<td> <I>Del/Remove</I><br>Tool(remove)
<tr bgcolor="#DDFFFF">
	<th align=left>f9
	<td> <I>Rotate</I><br>Tool(rotate)
<tr bgcolor="#FFFFFF">
	<th align=left>f<br>&nbsp;a
	<td> <I>Save Layout As...</I><br>Save(LayoutAs)
<tr bgcolor="#DDFFFF">
	<th align=left>f<br>&nbsp;c
	<td> <I>Export with CAM job...</I><br>cam()
<tr bgcolor="#FFFFFF">
	<th align=left>f<br>&nbsp;e
	<td> <I>Export layout...</I><br>ExportGUI()
<tr bgcolor="#DDFFFF">
	<th align=left>f<br>&nbsp;l
	<td> <I>Load layout...</I><br>Load(Layout)
<tr bgcolor="#FFFFFF">
	<th align=left>f<br>&nbsp;n
	<td> <I>Start New Layout</I><br>New() 
<tr bgcolor="#DDFFFF">
	<th align=left>f<br>&nbsp;o
	<td> <I>Load layout...</I><br>Load(Layout)
<tr bgcolor="#FFFFFF">
	<th align=left>f<br>&nbsp;p
	<td> <I>Print layout...</I><br>Print()
<tr bgcolor="#DDFFFF">
	<th align=left>f<br>&nbsp;q
	<td> <I>Quit Program</I><br>Quit() 
<tr bgcolor="#FFFFFF">
	<th align=left>f<br>&nbsp;r
	<td> <I>Revert</I><br>Load(Revert,none)
<tr bgcolor="#DDFFFF">
	<th align=left>f<br>&nbsp;s
	<td> <I>Save Layout</I><br>Save(Layout)
<tr bgcolor="#FFFFFF">
	<th align=left>f<br>&nbsp;x<br>&nbsp;&nbsp;p
	<td> <I>netlist patch for back annotation</I><br>SavePatch() 
<tr bgcolor="#DDFFFF">
	<th align=left>g<br>&nbsp;b
	<td> <I>Previous grid</I><br>Grid(down) 
<tr bgcolor="#FFFFFF">
	<th align=left>g<br>&nbsp;d
	<td> <I>Grid *2</I><br>SetGrid(*2) 
<tr bgcolor="#DDFFFF">
	<th align=left>g<br>&nbsp;f
	<td> <I>Next grid</I><br>Grid(up) 
<tr bgcolor="#FFFFFF">
	<th align=left>g<br>&nbsp;h
	<td> <I>Grid /2</I><br>SetGrid(/2) 
<tr bgcolor="#DDFFFF">
	<th align=left>g<br>&nbsp;i
	<td> <I>mil</I><br>SetUnits(mil)
<tr bgcolor="#FFFFFF">
	<th align=left>g<br>&nbsp;l
	<td> <I>Enable local grid</I><br>conf(toggle, plugins/hid_gtk/local_grid/enable, design) 
<tr bgcolor="#DDFFFF">
	<th align=left>g<br>&nbsp;m
	<td> <I>mm</I><br>SetUnits(mm)
<tr bgcolor="#FFFFFF">
	<th align=left>g<br>&nbsp;r
	<td> <I>Realign grid</I><br> Display(ToggleGrid) 
<tr bgcolor="#DDFFFF">
	<th align=left>g<br>&nbsp;v
	<td> <I>Enable visible grid</I><br>conf(toggle, editor/draw_grid, design) 
<tr bgcolor="#FFFFFF">
	<th align=left>i<br>&nbsp;a
	<td> <I>About...</I><br>About() 
<tr bgcolor="#DDFFFF">
	<th align=left>i<br>&nbsp;c<br>&nbsp;&nbsp;c
	<td> <I>Calibrate Printer...</I><br>PrintCalibrate() 
<tr bgcolor="#FFFFFF">
	<th align=left>i<br>&nbsp;c<br>&nbsp;&nbsp;i
	<td> <I>Data integrity check</I><br>Integrity() 
<tr bgcolor="#DDFFFF">
	<th align=left>i<br>&nbsp;c<br>&nbsp;&nbsp;p
	<td> <I>Preferences...</I><br>preferences
<tr bgcolor="#FFFFFF">
	<th align=left>i<br>&nbsp;c<br>&nbsp;&nbsp;r
	<td> <I>Re-scan the footprint library</I><br>fp_rehash() 
<tr bgcolor="#DDFFFF">
	<th align=left>i<br>&nbsp;d
	<td> <I>Generate drill summary</I><br>Report(DrillReport) 
<tr bgcolor="#FFFFFF">
	<th align=left>i<br>&nbsp;f
	<td> <I>Report found padstacks</I><br>Report(FoundPins) 
<tr bgcolor="#DDFFFF">
	<th align=left>i<br>&nbsp;r
	<td> <I>Generate object report</I><br>ReportObject() 
<tr bgcolor="#FFFFFF">
	<th align=left>insert
	<td> <I>Insert Point</I><br>Tool(insert)
<tr bgcolor="#DDFFFF">
	<th align=left>j<br>&nbsp;h
	<td> <I>Scroll Left</I><br>Scroll(left) 
<tr bgcolor="#FFFFFF">
	<th align=left>j<br>&nbsp;j
	<td> <I>Scroll Down</I><br>Scroll(down) 
<tr bgcolor="#DDFFFF">
	<th align=left>j<br>&nbsp;k
	<td> <I>Scroll Up</I><br>Scroll(up) 
<tr bgcolor="#FFFFFF">
	<th align=left>j<br>&nbsp;l
	<td> <I>Scroll Right</I><br>Scroll(right) 
<tr bgcolor="#DDFFFF">
	<th align=left>k<br>&nbsp;h
	<td> <I>Step Left</I><br>Cursor(Warp,-1,0,grid) 
<tr bgcolor="#FFFFFF">
	<th align=left>k<br>&nbsp;j
	<td> <I>Step Down</I><br>Cursor(Warp,0,1,grid) 
<tr bgcolor="#DDFFFF">
	<th align=left>k<br>&nbsp;k
	<td> <I>Step Up</I><br>Cursor(Warp,0,-1,grid) 
<tr bgcolor="#FFFFFF">
	<th align=left>k<br>&nbsp;l
	<td> <I>Step Right</I><br>Cursor(Warp,1,0,grid) 
<tr bgcolor="#DDFFFF">
	<th align=left>k<br>&nbsp;r
	<td> <I>Click (right)</I><br>Tool(Release); Popup(popup-obj, obj-type)
<tr bgcolor="#FFFFFF">
	<th align=left>k<br>&nbsp;space
	<td> <I>Click (left)</I><br>Tool(Press); Tool(Release)
<tr bgcolor="#DDFFFF">
	<th align=left>l<br>&nbsp;k
	<td> <I>Select previous layer</I><br>LayerByStack(Select, Prev)
<tr bgcolor="#FFFFFF">
	<th align=left>l<br>&nbsp;l
	<td> <I>Select next layer</I><br>LayerByStack(Select, Next)
<tr bgcolor="#DDFFFF">
	<th align=left>left
	<td> <I>Step Left</I><br>Cursor(Warp,-1,0,grid) 
<tr bgcolor="#FFFFFF">
	<th align=left>left-ctrl
	<td> <I>Scroll Left</I><br>Scroll(left) 
<tr bgcolor="#DDFFFF">
	<th align=left>left-shift
	<td> <I>Step +Left</I><br>Cursor(Pan,-50,0,view) 
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;c<br>&nbsp;&nbsp;c
	<td> <I>Crosshair shows DRC clearance</I><br>conf(toggle, editor/show_drc, design) 
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;c<br>&nbsp;&nbsp;o
	<td> <I>Orthogonal moves</I><br>conf(toggle, editor/orthogonal_moves, design) 
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;c<br>&nbsp;&nbsp;p
	<td> <I>Crosshair snaps to padstacks</I><br>conf(toggle, editor/snap_pin, design) 
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;c<br>&nbsp;&nbsp;s
	<td> <I>Crosshair snaps to off-grid points on lines</I><br>conf(toggle, editor/snap_offgrid_line, design) 
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;a
	<td> <I>Show autorouter trials</I><br>conf(toggle, editor/live_routing, design) 
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;c
	<td> <I>Check polygons</I><br>conf(toggle, editor/check_planes, design) 
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;d
	<td> <I>poly as-drawn frame annotation</I><br>conf(toggle, editor/as_drawn_poly, design)
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;h
	<td> <I>Highlighting on line, arc points</I><br>conf(toggle, editor/highlight_on_point, design) 
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;o
	<td> <I>Object list popup</I><br>conf(toggle, editor/click_objlist, design)
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;p
	<td> <I>Thin draw poly</I><br>conf(toggle, editor/thin_draw_poly, design)
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;r
	<td> <I>Reset</I><br>
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;t
	<td> <I>Thin draw</I><br>conf(toggle, editor/thin_draw, design) 
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;d<br>&nbsp;&nbsp;w
	<td> <I>Wireframe draw</I><br>conf(toggle, editor/wireframe_draw, design) 
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;f<br>&nbsp;&nbsp;h
	<td> <I>Hide floaters</I><br>conf(toggle, editor/hide_names, design) 
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;f<br>&nbsp;&nbsp;l
	<td> <I>Lock floaters</I><br>conf(toggle, editor/lock_names, design) 
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;f<br>&nbsp;&nbsp;o
	<td> <I>Only floaters</I><br>conf(toggle, editor/only_names, design) 
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;k<br>&nbsp;&nbsp;s
	<td> <I>Loose subcircuits (no subc lock)</I><br>subc(loose, toggle)
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;l<br>&nbsp;&nbsp;+
	<td> <I>Line Tool size +5 mil</I><br>SetValue(LineSize,+5,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;l<br>&nbsp;&nbsp;-
	<td> <I>Line Tool size -5 mil</I><br>SetValue(LineSize,-5,mil) 
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;l<br>&nbsp;&nbsp;a
	<td> <I>'All-direction' lines</I><br>conf(toggle, editor/all_direction_lines, design)
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;l<br>&nbsp;&nbsp;c
	<td> <I>New lines, arcs clear polygons</I><br>conf(toggle, editor/clear_line, design) 
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;l<br>&nbsp;&nbsp;d
	<td> <I>Auto enforce DRC clearance</I><br>conf(toggle, editor/auto_drc, design) 
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;l<br>&nbsp;&nbsp;f
	<td> <I>Cycle line clip/refraction</I><br>Display(CycleClip) 
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;l<br>&nbsp;&nbsp;m
	<td> <I>Automatic trace merging</I><br>conf(toggle, editor/trace_auto_merge, design) 
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;o<br>&nbsp;&nbsp;b
	<td> <I>black current group</I><br>conf(toggle, appearance/black_current_group, design) 
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;o<br>&nbsp;&nbsp;i
	<td> <I>Invisible-color on other groups</I><br>conf(toggle, appearance/invis_other_groups, design) 
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;p<br>&nbsp;&nbsp;c
	<td> <I>New polygons clear polygons</I><br>conf(toggle, editor/clear_polypoly, design) 
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;p<br>&nbsp;&nbsp;f
	<td> <I>New polygons are full ones</I><br>conf(toggle, editor/full_poly, design) 
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;p<br>&nbsp;&nbsp;i
	<td> <I>Polygon clip inhibit (toggle)</I><br>ClipInhibit(toggle)
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;r<br>&nbsp;&nbsp;m
	<td> <I>Rubber band keeps middle line dir</I><br>conf(toggle, editor/rubber_band_keep_midlinedir, design) 
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;r<br>&nbsp;&nbsp;r
	<td> <I>Rubber band mode</I><br>conf(toggle, editor/rubber_band_mode, design) 
<tr bgcolor="#DDFFFF">
	<th align=left>m<br>&nbsp;t<br>&nbsp;&nbsp;+
	<td> <I>Text Tool scale +10 mil</I><br>SetValue(TextScale,+10,mil) 
<tr bgcolor="#FFFFFF">
	<th align=left>m<br>&nbsp;t<br>&nbsp;&nbsp;-
	<td> <I>Text Tool scale -10 mil</I><br>SetValue(TextScale,-10,mil) 
<tr bgcolor="#DDFFFF">
	<th align=left>n-ctrl
	<td> <I>Start New Layout</I><br>New() 
<tr bgcolor="#FFFFFF">
	<th align=left>n<br>&nbsp;c<br>&nbsp;&nbsp;f<br>&nbsp;&nbsp;&nbsp;
	<td> <I>claim net on found</I><br>ClaimNet(found) 
<tr bgcolor="#DDFFFF">
	<th align=left>n<br>&nbsp;c<br>&nbsp;&nbsp;o<br>&nbsp;&nbsp;&nbsp;
	<td> <I>claim net by object</I><br>ClaimNet(object) 
<tr bgcolor="#FFFFFF">
	<th align=left>n<br>&nbsp;c<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp;
	<td> <I>claim net on selected</I><br>ClaimNet(selected) 
<tr bgcolor="#DDFFFF">
	<th align=left>n<br>&nbsp;l<br>&nbsp;&nbsp;k<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Visual length, clear</I><br>NetLength(clear) 
<tr bgcolor="#FFFFFF">
	<th align=left>n<br>&nbsp;l<br>&nbsp;&nbsp;l<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Netlist dialog, refresh lengths</I><br>NetlistDialog(); NetlistDialog(RefreshNetLens)
<tr bgcolor="#DDFFFF">
	<th align=left>n<br>&nbsp;l<br>&nbsp;&nbsp;o<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Visual length, from object</I><br>NetLength(object) 
<tr bgcolor="#FFFFFF">
	<th align=left>p<br>&nbsp;m<br>&nbsp;&nbsp;p<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Manage plugins...</I><br>ManagePlugins() 
<tr bgcolor="#DDFFFF">
	<th align=left>p<br>&nbsp;m<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Manage scripts...</I><br>BrowseScripts() 
<tr bgcolor="#FFFFFF">
	<th align=left>p<br>&nbsp;p<br>&nbsp;&nbsp;c
	<td> <I>Polygon Close</I><br>Polygon(Close) 
<tr bgcolor="#DDFFFF">
	<th align=left>p<br>&nbsp;p<br>&nbsp;&nbsp;p
	<td> <I>Polygon PreviousPoint</I><br>Polygon(PreviousPoint) 
<tr bgcolor="#FFFFFF">
	<th align=left>q-ctrl
	<td> <I>Quit Program</I><br>Quit() 
<tr bgcolor="#DDFFFF">
	<th align=left>r<br>&nbsp;r<br>&nbsp;&nbsp;+
	<td> <I>Route radius +0.5</I><br>conf(delta, editor/route_radius, +0.5, design)
<tr bgcolor="#FFFFFF">
	<th align=left>r<br>&nbsp;r<br>&nbsp;&nbsp;-
	<td> <I>Route radius -0.5</I><br>conf(delta, editor/route_radius, -0.5, design)
<tr bgcolor="#DDFFFF">
	<th align=left>r<br>&nbsp;r<br>&nbsp;&nbsp;m
	<td> <I>Route radius -0.5</I><br>conf(delta, editor/route_radius, -0.5, design)
<tr bgcolor="#FFFFFF">
	<th align=left>r<br>&nbsp;r<br>&nbsp;&nbsp;p
	<td> <I>Route radius +0.5</I><br>conf(delta, editor/route_radius, +0.5, design)
<tr bgcolor="#DDFFFF">
	<th align=left>right
	<td> <I>Step Right</I><br>Cursor(Warp,1,0,grid) 
<tr bgcolor="#FFFFFF">
	<th align=left>right-ctrl
	<td> <I>Scroll Right</I><br>Scroll(right) 
<tr bgcolor="#DDFFFF">
	<th align=left>right-shift
	<td> <I>Step +Right</I><br>Cursor(Pan,50,0,view) 
<tr bgcolor="#FFFFFF">
	<th align=left>s-ctrl
	<td> <I>Save Layout</I><br>Save(Layout)
<tr bgcolor="#DDFFFF">
	<th align=left>s-ctrl-shift
	<td> <I>Save Layout As...</I><br>Save(LayoutAs)
<tr bgcolor="#FFFFFF">
	<th align=left>s<br>&nbsp;a<br>&nbsp;&nbsp;a<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Select all visible objects</I><br>Select(All) 
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;a<br>&nbsp;&nbsp;c<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Select all found objects</I><br>Select(Connection)
<tr bgcolor="#FFFFFF">
	<th align=left>s<br>&nbsp;b<br>&nbsp;&nbsp;p
	<td> <I>Break selection padstack to pieces</I><br>PadstackBreakup(selected) 
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;b<br>&nbsp;&nbsp;s
	<td> <I>Break selection subcircuits to pieces</I><br>PasteBuffer(Push); PasteBuffer(5); PasteBuffer(Clear); PasteBuffer(AddSelected); RemoveSelected(); PasteBuffer(Restore); PasteBuffer(ToLayout, crosshair); PasteBuffer(Clear); PasteBuffer(Pop)
<tr bgcolor="#FFFFFF">
	<th align=left>s<br>&nbsp;c<br>&nbsp;&nbsp;e<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Convert selection to extended object...</I><br>ExtobjConvFrom(Selected, @gui)
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;c<br>&nbsp;&nbsp;p<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Convert selection to padstack</I><br>PadstackConvert(selected); Tool(buffer)
<tr bgcolor="#FFFFFF">
	<th align=left>s<br>&nbsp;c<br>&nbsp;&nbsp;s<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Convert selection to subcircuit</I><br>Select(ConvertSubc) 
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;f<br>&nbsp;&nbsp;
	<td> <I>Move selected subcircuits to other side</I><br>Flip(SelectedElements) 
<tr bgcolor="#FFFFFF">
	<th align=left>s<br>&nbsp;i<br>&nbsp;&nbsp;
	<td> <I>Invert selection</I><br>Select(Invert) 
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;l<br>&nbsp;&nbsp;
	<td> <I>Move selected objects to current layer</I><br>MoveToCurrentLayer(Selected) 
<tr bgcolor="#FFFFFF">
	<th align=left>s<br>&nbsp;r<br>&nbsp;&nbsp;
	<td> <I>Remove selected objects</I><br>RemoveSelected() 
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;s<br>&nbsp;&nbsp;
	<td> <I>Advanced search and select</I><br>SearchDialog() 
<tr bgcolor="#FFFFFF">
	<th align=left>s<br>&nbsp;u<br>&nbsp;&nbsp;a<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Unselect all objects</I><br>Unselect(All) 
<tr bgcolor="#DDFFFF">
	<th align=left>s<br>&nbsp;u<br>&nbsp;&nbsp;c<br>&nbsp;&nbsp;&nbsp;
	<td> <I>Unselect all found objects</I><br>Unselect(Connection)
<tr bgcolor="#FFFFFF">
	<th align=left>space
	<td> <I>Arrow</I><br>Tool(arrow)
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;a
	<td> <I>Arc</I><br>Tool(arc)
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;b
	<td> <I>Buffer</I><br>Tool(buffer)
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;c
	<td> <I>Copy</I><br>Tool(copy)
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;d
	<td> <I>Del/Remove</I><br>Tool(remove)
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;e
	<td> <I>Thermal</I><br>Tool(thermal)
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;h
	<td> <I>Polygon Hole</I><br>Tool(polyhole)
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;i
	<td> <I>Insert Point</I><br>Tool(insert)
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;k
	<td> <I>Lock</I><br>Tool(lock)
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;l
	<td> <I>Line</I><br>Tool(line)
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;m
	<td> <I>Move</I><br>Tool(move)
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;n
	<td> <I>Arrow</I><br>Tool(arrow)
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;o
	<td> <I>Rotate</I><br>Tool(rotate)
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;p
	<td> <I>Polygon</I><br>Tool(poly)
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;r
	<td> <I>Rectangle</I><br>Tool(rectangle)
<tr bgcolor="#DDFFFF">
	<th align=left>t<br>&nbsp;t
	<td> <I>Text</I><br>Tool(text)
<tr bgcolor="#FFFFFF">
	<th align=left>t<br>&nbsp;v
	<td> <I>Via</I><br>Tool(via)
<tr bgcolor="#DDFFFF">
	<th align=left>tab
	<td> <I>Flip up/down</I><br>SwapSides(V) 
<tr bgcolor="#FFFFFF">
	<th align=left>tab-ctrl
	<td> <I>Spin 180 degrees</I><br>SwapSides(R) 
<tr bgcolor="#DDFFFF">
	<th align=left>tab-ctrl-shift
	<td> <I>Swap Sides</I><br>SwapSides() 
<tr bgcolor="#FFFFFF">
	<th align=left>tab-shift
	<td> <I>Flip left/right</I><br>SwapSides(H) 
<tr bgcolor="#DDFFFF">
	<th align=left>u<br>&nbsp;c
	<td> <I>Clear undo-buffer</I><br>Undo(ClearList) 
<tr bgcolor="#FFFFFF">
	<th align=left>u<br>&nbsp;d<br>&nbsp;&nbsp;
	<td> <I>Undo dialog (for debugging)</I><br>UndoDialog() 
<tr bgcolor="#DDFFFF">
	<th align=left>u<br>&nbsp;r
	<td> <I>Redo last undone operation</I><br>Redo() 
<tr bgcolor="#FFFFFF">
	<th align=left>u<br>&nbsp;u
	<td> <I>Undo last operation</I><br>Undo() 
<tr bgcolor="#DDFFFF">
	<th align=left>up
	<td> <I>Step Up</I><br>Cursor(Warp,0,-1,grid) 
<tr bgcolor="#FFFFFF">
	<th align=left>up-ctrl
	<td> <I>Scroll Up</I><br>Scroll(up) 
<tr bgcolor="#DDFFFF">
	<th align=left>up-shift
	<td> <I>Step +Up</I><br>Cursor(Pan,0,-50,view) 
<tr bgcolor="#FFFFFF">
	<th align=left>v<br>&nbsp;c
	<td> <I>Center cursor</I><br>Center() 
<tr bgcolor="#DDFFFF">
	<th align=left>v<br>&nbsp;f
	<td> <I>Zoom Extents</I><br>Zoom() 
<tr bgcolor="#FFFFFF">
	<th align=left>v<br>&nbsp;n
	<td> <I>Show padstack numbers in a subc</I><br>Display(PinOrPadName) 
<tr bgcolor="#DDFFFF">
	<th align=left>v<br>&nbsp;r<br>&nbsp;&nbsp;g
	<td> <I>Reset GUI</I><br>
<tr bgcolor="#FFFFFF">
	<th align=left>v<br>&nbsp;r<br>&nbsp;&nbsp;v
	<td> <I>Reset View</I><br>
<tr bgcolor="#DDFFFF">
	<th align=left>v<br>&nbsp;s<br>&nbsp;&nbsp;c
	<td> <I>user configured</I><br>Display(SubcID)
<tr bgcolor="#FFFFFF">
	<th align=left>v<br>&nbsp;s<br>&nbsp;&nbsp;f
	<td> <I>footprint</I><br>Display(SubcID,"%a.footprint%")
<tr bgcolor="#DDFFFF">
	<th align=left>v<br>&nbsp;s<br>&nbsp;&nbsp;r
	<td> <I>refdes</I><br>Display(SubcID, "%a.refdes%")
<tr bgcolor="#FFFFFF">
	<th align=left>v<br>&nbsp;s<br>&nbsp;&nbsp;s
	<td> <I>refdes+value</I><br>Display(SubcID,"%a.refdes%\\n%a.value%")
<tr bgcolor="#DDFFFF">
	<th align=left>v<br>&nbsp;s<br>&nbsp;&nbsp;v
	<td> <I>value</I><br>Display(SubcID,"%a.value%")
<tr bgcolor="#FFFFFF">
	<th align=left>v<br>&nbsp;t<br>&nbsp;&nbsp;c
	<td> <I>user configured</I><br>Display(TermID)
<tr bgcolor="#DDFFFF">
	<th align=left>v<br>&nbsp;t<br>&nbsp;&nbsp;n
	<td> <I>name</I><br>Display(TermID, "%a.name%")
<tr bgcolor="#FFFFFF">
	<th align=left>v<br>&nbsp;t<br>&nbsp;&nbsp;s
	<td> <I>term+name</I><br>Display(TermID, "%a.term%,%a.name%")
<tr bgcolor="#DDFFFF">
	<th align=left>v<br>&nbsp;t<br>&nbsp;&nbsp;t
	<td> <I>term</I><br>Display(TermID, "%a.term%")
<tr bgcolor="#FFFFFF">
	<th align=left>w<br>&nbsp;a
	<td> <I>About...</I><br>About() 
<tr bgcolor="#DDFFFF">
	<th align=left>w<br>&nbsp;d
	<td> <I>DRC Check</I><br>DRC() 
<tr bgcolor="#FFFFFF">
	<th align=left>w<br>&nbsp;f
	<td> <I>Font selector</I><br>FontSel() 
<tr bgcolor="#DDFFFF">
	<th align=left>w<br>&nbsp;l
	<td> <I>Library</I><br>LibraryDialog() 
<tr bgcolor="#FFFFFF">
	<th align=left>w<br>&nbsp;m
	<td> <I>Message Log</I><br>LogDialog() 
<tr bgcolor="#DDFFFF">
	<th align=left>w<br>&nbsp;n
	<td> <I>Netlist</I><br>NetlistDialog() 
<tr bgcolor="#FFFFFF">
	<th align=left>w<br>&nbsp;p
	<td> <I>Pinout</I><br>Display(Pinout) 
<tr bgcolor="#DDFFFF">
	<th align=left>y-ctrl
	<td> <I>Redo last undone operation</I><br>Redo() 
<tr bgcolor="#FFFFFF">
	<th align=left>z-ctrl
	<td> <I>Undo last operation</I><br>Undo() 
<tr bgcolor="#DDFFFF">
	<th align=left>z<br>&nbsp;e<br>&nbsp;&nbsp;
	<td> <I>Zoom Extents</I><br>Zoom() 
<tr bgcolor="#FFFFFF">
	<th align=left>z<br>&nbsp;f<br>&nbsp;&nbsp;
	<td> <I>Zoom to found</I><br>ZoomTo(found) 
<tr bgcolor="#DDFFFF">
	<th align=left>z<br>&nbsp;s<br>&nbsp;&nbsp;
	<td> <I>Zoom to selection</I><br>ZoomTo(selected) 
<tr bgcolor="#FFFFFF">
	<th align=left>z<br>&nbsp;x<br>&nbsp;&nbsp;
	<td> <I>Zoom Out 20%</I><br>Zoom(+1.2) 
<tr bgcolor="#DDFFFF">
	<th align=left>z<br>&nbsp;z<br>&nbsp;&nbsp;
	<td> <I>Zoom In 20%</I><br>Zoom(-1.2) 
<tr bgcolor="#FFFFFF">
	<th align=left>|
	<td> <I>Wireframe draw</I><br>conf(toggle, editor/wireframe_draw, design) 
</table>

</body></html>
